import ApiModel from "~/models/ApiModel";
import {Str, Uid} from "pinia-orm/dist/decorators";

/**
 * AP2i Model : TypeOfPractice
 *
 * @see https://gitlab.2iopenservice.com/opentalent/ap2i/-/blob/develop/src/Entity/Organization/TypeOfPractice.php
 */
export default class TypeOfPractice extends ApiModel {
  static entity = 'type_of_practices'

  @Uid()
  declare id: number | string | null

  @Str('')
  declare name: string

  @Str('')
  declare category: string
}
